Sélectionner une page


WordPress 5.5 est largement un succès. Cependant, il y a eu de nombreux conflits avec les thèmes et les plugins qui ont entraîné la corruption des sites Web. Le plus gros problème vient probablement de la décision de WordPress de supprimer le jQuery Migrate obsolète.

La première étape de la modernisation de WordPress a été de supprimer jQuery Migrate 1.x dans WordPress 5.5. Et c’est ce qui provoque la rupture de certains sites Web.

Certains thèmes et plugins WordPress utilisent des scripts jQuery plus anciens, ce qui pose un certain nombre de problèmes.

Selon la page WordPress de jQuery Migrate Helper:

«Avec la mise à jour de WordPress 5.5, un outil de migration appelé jquery-migrate n’est plus activé par défaut.

Cela peut provoquer un comportement inattendu pour certains thèmes ou plugins qui exécutent un code plus ancien. « 

Au moment d’écrire ces lignes, plus de 80 000 éditeurs WordPress ont téléchargé le plugin WordPress pour arrêter le «comportement inattendu» de WordPress 5.5.

Capture d'écran de la page du plugin pour la migration WordPress jQuery avec 80000 téléchargements

Plus de 2000 plugins avec conflits jQuery

Selon un article sur WordPress, une recherche dans le répertoire des plugins il y a deux semaines a trouvé plus de 2000 plugins avec des conflits.

La publicité

Lisez ci-dessous

Selon un committer du noyau WordPress qui a fait cela rechercher::

« Cela entraîne environ 2400 plugins qui pourraient être corrompus si jQuery Migrate est désactivé lors de la mise à niveau vers la version 5.5. »

Capture d'écran d'un dépannage WordPressUne recherche effectuée il y a deux semaines a révélé que plus de 2000 plugins WordPress contenaient un conflit lié à la bibliothèque de migration jQuery.

Cette liste a été faite il y a deux semaines. Le nombre de plugins qui rencontrent des problèmes devrait être inférieur à présent.

Plus de 200 sujets avec conflit

La liste a également découvert plus de 200 sujets qui ont éclaté.

« Pour les sujets, ces modifications apportées à la recherche apportent des résultats d’environ 2 600 sujets à environ 250 sujets, avec seulement 5 sujets ayant plus de 10 000 installations actives. »

La publicité

Lisez ci-dessous

Certains utilisateurs peuvent rencontrer des problèmes avec leurs thèmes en raison d’un code obsolète. Cependant, certains de ces problèmes sont dus aux plugins fournis avec ces sujets. Par exemple, les plugins premium pour le générateur de page et les plugins de curseur sont systématiquement regroupés avec quelques thèmes. Cependant, comme il s’agit de versions premium, il se peut qu’elles ne soient pas nécessairement mises à jour vers la dernière version en fonction de votre licence logicielle.

Si la mise à niveau vers la dernière version d’un thème ne résout pas votre problème, vous pouvez installer WordPress Enable jQuery Migrate Helper pour restaurer la fonctionnalité.

Mais sachez que ce n’est qu’une solution temporaire. Il peut être utile de dépanner votre site pour déterminer les fonctionnalités à l’origine du problème. Une fois la fonctionnalité identifiée, vous pourrez peut-être télécharger un plug-in de remplacement mis à jour pour corriger ce dysfonctionnement.

Lisez la suite pour en savoir plus sur le dépannage.

Correctif pour la mise à jour de WordPress 5.5

Une façon de résoudre un problème consiste à utiliser la console de développement Chrome. L’accès à la console est aussi simple que de cliquer sur le bouton F12 sous Windows.

L’alternative est de cliquer sur le menu vertical à trois points dans le coin supérieur droit et de sélectionner Plus d’outils, puis Développeur.

H.Voici une capture d’écran de ce à quoi ressemblerait une erreur:

Capture d'écran de la console de développement Chrome

Cliquer sur le fichier fera apparaître un autre écran avec l’erreur. Vous pouvez ensuite cliquer sur l’icône X rouge et une fenêtre contextuelle affichera l’erreur.

Capture d'écran d'une erreur JavaScript signalée

Si vous voulez plus de conseils sur la façon de corriger une erreur JavaScript dans WordPress, faites défiler jusqu’à la section Citations au bas de cet article pour un tutoriel WordPress officiel.

La publicité

Lisez ci-dessous

Problèmes courants après la mise à niveau vers WordPress 5.5

Certains des problèmes sont si graves que certains éditeurs ne peuvent pas se reconnecter.

De nombreux problèmes rencontrés par certains éditeurs après la mise à jour vers WordPress 5.5 sont liés à la perte de fonctionnalités du site Web.

Problèmes de mise à jour de WordPress 5.5

Ce ne sont là que quelques-uns des problèmes rencontrés par les utilisateurs

Comment résoudre le problème jQuery de WordPress 5.5

WordPress a publié un plugin qui restaurera la bibliothèque jQuery Migrate. Si vous installez ce plugin, votre site fonctionnera à nouveau. Mais…

Le plugin ne résout pas vraiment ce qui ne va pas avec votre site.

Le plugin permettra à votre site Web de fonctionner à nouveau. Cependant, cela ne résout pas ce qui ne va pas avec le site Web.

Ce qui ne va pas avec le site, c’est un plugin ou un thème obsolète. Si votre curseur d’image ne fonctionne pas, le problème vient probablement du plug-in de curseur d’image. La mise à jour de ce plugin est une solution.

La publicité

Lisez ci-dessous

Cependant, s’il n’y a pas de mise à jour du plugin à mettre à jour, vous utilisez probablement un plugin abandonné. Un plugin abandonné est généralement un plugin qui n’a pas été mis à jour depuis longtemps.

Ce qui constitue un «temps long» n’est pas clair, car certains plugins n’ont pas besoin d’être mis à jour aussi souvent.

La plupart des développeurs de plugins améliorent leur logiciel. En général, si un plugin n’a pas été mis à jour depuis un an ou plus, il est probablement un peu abandonné.

Il est préférable d’arrêter d’utiliser ce plugin. Les plugins abandonnés peuvent devenir des problèmes de sécurité.

Dans le cas d’un plugin abandonné, c’est une bonne idée de trouver un plugin plus activement maintenu qui fait de même.

Le plugin dont vous avez besoin pour restaurer les fonctionnalités de votre site WordPress s’appelle Activer jQuery Migrate Helper. Tu peux télécharger ici.

L’activation du plugin jQuery Migrate Helper n’a pas résolu le problème survenu lors de la mise à jour de WordPress 5.5. Ce n’est qu’une façon de restaurer la fonctionnalité.

La publicité

Lisez ci-dessous

Il est important à l’étape suivante de diagnostiquer ce qui est défectueux et de résoudre le vrai problème.

Une fois le plugin ou le thème corrigé, vous serez dans un meilleur endroit pour les visiteurs de votre site Web en termes de sécurité et d’expérience utilisateur.

Devis

Utilisez votre navigateur pour diagnostiquer les erreurs JavaScript
https://wordpress.org/support/article/using-your-browser-to-diagnose-javascript-errors/

Activez le plugin WordPress pour jQuery Migrate Helper
https://wordpress.org/plugins/enable-jquery-migrate-helper/





Source link

Recent Posts